# normalize-unicode

normalize-unicode($arg as xs:string?) → xs:string

Converts a string to Unicode normalized form NFC by modifying the way in which combining characters are represented

Arguments
| $arg | xs:string? | The string to be normalized
Result | xs:string

normalize-unicode($arg as xs:string?, $normalizationForm as xs:string) → xs:string

Converts a string to the specified Unicode normalization form by modifying the way in which combining characters are represented

Arguments
| $arg | xs:string? | The string to be normalized
| $normalizationForm | xs:string | The Unicode normalization form to apply
Result | xs:string

Links to W3C specifications

Namespace: http://www.w3.org/2005/xpath-functions

Applies to: XPath 2.0, XSLT 2.0, XQuery 1.0 and later versions

XPath 2.0 Specification

XPath 3.0 Specification

Notes on the Saxon implementation

Saxon supports normalization forms NFC, NFD, NFKC, and NFKD.

Next